summaryrefslogtreecommitdiffstats
path: root/src/cmd/go/mkalldocs.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 13:18:25 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 13:18:25 +0000
commit109be507377fe7f6e8819ac94041d3fdcdf6fd2f (patch)
tree2806a689f8fab4a2ec9fc949830ef270a91d667d /src/cmd/go/mkalldocs.sh
parentInitial commit. (diff)
downloadgolang-1.19-109be507377fe7f6e8819ac94041d3fdcdf6fd2f.tar.xz
golang-1.19-109be507377fe7f6e8819ac94041d3fdcdf6fd2f.zip
Adding upstream version 1.19.8.upstream/1.19.8upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/cmd/go/mkalldocs.sh')
-rwxr-xr-xsrc/cmd/go/mkalldocs.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/cmd/go/mkalldocs.sh b/src/cmd/go/mkalldocs.sh
new file mode 100755
index 0000000..a2b0aca
--- /dev/null
+++ b/src/cmd/go/mkalldocs.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+# Copyright 2012 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+
+go build -o go.latest
+# If the command used to generate alldocs.go changes, update TestDocsUpToDate in
+# help_test.go.
+GO111MODULE='' ./go.latest help documentation >alldocs.go
+gofmt -w alldocs.go
+rm go.latest